Skip to main content
`Ctrl`+`K`
scipy.signal.

# sos2zpk

scipy.signal.sos2zpk(sos)

  Return zeros, poles, and gain of a series of second-order sections

  Parameters:
    sos array_like

      Array of second-order filter coefficients, must have shape `(n_sections, 6)`. See `sosfilt` for the SOS filter format specification.

  Returns:
    z ndarray

      Zeros of the transfer function.

    p ndarray

      Poles of the transfer function.

    k float

      System gain.

  Notes

  The number of zeros and poles returned will be `n_sections * 2` even if some of these are (effectively) zero.

  Added in version 0.16.0.

  Array API Standard Support

  `sos2zpk` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ⛔
  JAX | ⚠️ no JIT | ⛔
  Dask | ⚠️ computes graph | n/a

  > See Support for the array API standard for more information.